TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS > Class Template Referenceabstract

Trapdoor Function (TF) base implementation. More...

`#include <pubkey.h>`

Inheritance diagram for TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >:

## Public Types

typedef SCHEME_OPTIONS | SchemeOptions
typedef KEY_CLASS | KeyClass

## Public Member Functions

PublicKey & | AccessPublicKey ()
const PublicKey & | GetPublicKey () const
PrivateKey & | AccessPrivateKey ()
const PrivateKey & | GetPrivateKey () const
virtual const KeyClass & | GetKey () const =0
virtual KeyClass & | AccessKey ()=0
const KeyClass & | GetTrapdoorFunction () const
PK_MessageAccumulator * | NewSignatureAccumulator (RandomNumberGenerator &rng) const
PK_MessageAccumulator * | NewVerificationAccumulator () const
Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
| The algorithm name.

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>
class TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >

Trapdoor Function (TF) base implementation.

Template Parameters

  BASE | base class
  SCHEME_OPTIONS | scheme options class
  KEY_CLASS | key class

Definition at line 563 of file pubkey.h.

## Member Typedef Documentation

## SchemeOptions

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

typedef SCHEME_OPTIONS TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::SchemeOptions

Definition at line 566 of file pubkey.h.

## KeyClass

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

typedef KEY_CLASS TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::KeyClass

Definition at line 567 of file pubkey.h.

## Constructor & Destructor Documentation

## ~TF_ObjectImplBase()

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

virtual TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::~TF_ObjectImplBase | ( |  | ) |

inline virtual

Definition at line 569 of file pubkey.h.

## Member Function Documentation

## AccessPublicKey()

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

PublicKey & TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::AccessPublicKey | ( |  | ) |

inline

Definition at line 571 of file pubkey.h.

## GetPublicKey()

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

const PublicKey & TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::GetPublicKey | ( |  | ) | const

inline

Definition at line 572 of file pubkey.h.

## AccessPrivateKey()

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

PrivateKey & TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::AccessPrivateKey | ( |  | ) |

inline

Definition at line 574 of file pubkey.h.

## GetPrivateKey()

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

const PrivateKey & TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::GetPrivateKey | ( |  | ) | const

inline

Definition at line 575 of file pubkey.h.

## GetTrapdoorFunction()

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

const KeyClass & TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::GetTrapdoorFunction | ( |  | ) | const

inline

Definition at line 580 of file pubkey.h.

## NewSignatureAccumulator()

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

PK_MessageAccumulator * TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::NewSignatureAccumulator | ( | RandomNumberGenerator & | rng | ) | const

inline

Definition at line 582 of file pubkey.h.

## NewVerificationAccumulator()

template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>

PK_MessageAccumulator * TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >::NewVerificationAccumulator | ( |  | ) | const

inline

Definition at line 587 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h